Package org.eclipse.emf.compare.match

# Interface IMatchEngine.Factory

All Known Implementing Classes:
  `DefaultRCPMatchEngineFactory`, `MatchEngineFactoryImpl`

Enclosing interface:
  `IMatchEngine`

public static interface IMatchEngine.Factory
Wrapper describing the given match engine.

Since:
  3.0

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IMatchEngine.Factory.Registry`
A registry of `IMatchEngine.Factory`.

## Method Summary

Modifier and Type
Method
Description
`IMatchEngine`
`getMatchEngine()`
Returns the wrapped match engine.
`int`
`getRanking()`
Returns the ranking of this match engine factory.
`boolean`
`isMatchEngineFactoryFor(IComparisonScope scope)`
Check if the match engine factory is a good candidate for comparison.
`void`
`setRanking(int parseInt)`
Set the ranking of this match engine factory.

## Method Details

### getMatchEngine

IMatchEngine getMatchEngine()
Returns the wrapped match engine.

Returns:
  the wrapped match engine.

### getRanking

int getRanking()
Returns the ranking of this match engine factory.

Returns:
  The ranking.
Since:
  3.0

### setRanking

void setRanking(int parseInt)
Set the ranking of this match engine factory.

Parameters:
  `parseInt` - The ranking.
Since:
  3.0

### isMatchEngineFactoryFor

boolean isMatchEngineFactoryFor(IComparisonScope scope)
Check if the match engine factory is a good candidate for comparison.

Parameters:
  `scope` - The scope on which the match engine factory will be applied.
Returns:
  True if it is the good candidate, false otherwise.
Since:
  3.0